Package: org.gradle.platform.base

## [Java] Interface BinaryContainer

- java.util.Collection

- All Superinterfaces:
    NamedDomainObjectContainer, DomainObjectCollection, PolymorphicDomainObjectContainer, NamedDomainObjectCollection, org.gradle.api.internal.rules.NamedDomainObjectFactoryRegistry, org.gradle.util.Configurable, Iterable, Set, NamedDomainObjectSet, Collection

  A container for project binaries, which represent physical artifacts that can run on a particular platform or runtime. Added to a project by the LanguageBasePlugin.

- - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ExtensiblePolymorphicDomainObjectContainer` | `registerBinding, registerFactory, registerFactory, create, create, containerWithType, maybeCreate, create, create, create, configure, maybeCreate, matching, matching, findAll, withType, add, addAll, getByName, getByName, matching, matching, withType, getAt, findByName, getAsMap, getNames, addRule, addRule, getNamer, getRules, all, all, matching, matching, findAll, withType, withType, withType, whenObjectAdded, whenObjectAdded, whenObjectRemoved, whenObjectRemoved, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, iterator, remove, containsAll, removeAll, retainAll, add, equals, hashCode, clear, contains, isEmpty, size, toArray, toArray, addAll, iterator, remove, containsAll, removeAll, retainAll, configure`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`